Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Macros | Enumerations | Functions
eventids2.c File Reference
`#include "eventids2table.c"`

Go to the source code of this file.

## Data Structures
struct | ripper_scanner_ids_t

## Macros
#define | set_id2(name) ripper_scanner_ids.ripper_id_##name = rb_intern_const("on_"#name)
#define | O(member) (int)offsetof(ripper_scanner_ids_t, ripper_id_##member)+1

## Enumerations
enum | { tIGNORED_NL = tLAST_TOKEN + 1, tCOMMENT, tEMBDOC_BEG, tEMBDOC, tEMBDOC_END, tHEREDOC_BEG, tHEREDOC_END, k__END__ }

## Functions
| STATIC_ASSERT (k__END___range, k__END__< SHRT_MAX)
| STATIC_ASSERT (ripper_scanner_ids_size, sizeof(ripper_scanner_ids)< SHRT_MAX)

## Macro Definition Documentation

## ◆ O

#define O | ( |  | member | ) | (int)offsetof(ripper_scanner_ids_t, ripper_id_##member)+1

## ◆ set_id2

#define set_id2 | ( |  | name | ) | ripper_scanner_ids.ripper_id_##name = rb_intern_const("on_"#name)

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
tIGNORED_NL |
tCOMMENT |
tEMBDOC_BEG |
tEMBDOC |
tEMBDOC_END |
tHEREDOC_BEG |
tHEREDOC_END |
k__END__ |

Definition at line 1 of file eventids2.c.

## Function Documentation

## ◆ STATIC_ASSERT() [1/2]

STATIC_ASSERT | ( | k__END___range |  | ) |

## ◆ STATIC_ASSERT() [2/2]

STATIC_ASSERT | ( | ripper_scanner_ids_size |  | ) |